Chromium Code Reviews
Help | Chromium Project | Sign in
(32)

Issue 11095006: Blacklist video and flash acceleration on NVIDIA Linux drivers. (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
2 years, 6 months ago by ccameron
Modified:
2 years, 6 months ago
CC:
chromium-reviews, joi+watch-content_chromium.org, darin-cc_chromium.org, jam, apatrick_chromium, Vangelis Kokkevis
Visibility:
Public.

Description

Blacklist video and flash acceleration on NVIDIA Linux drivers. If you create a context when you are low memory, this context may get into a bad state where geomerty is corrupted and the screen takes seconds to paint. The context remains in this state until it is destroyed, even if more memory comes available. This disabled accelerated compositing to limit the exposure to this bug. I plan to integrate this into M23. We shouldn't re-enable accelerated compositing until we have a more robust workaround, or NVIDIA fixes the context creation bug. BUG=145600 Committed: http://src.chromium.org/viewvc/chrome?view=rev&revision=161150

Patch Set 1 #

Total comments: 2

Patch Set 2 : Disable just video decode and flash #

Patch Set 3 : Increment revision #

Patch Set 4 : Disable video acceleration as well #

Total comments: 1

Patch Set 5 : Incorporate review feedback #

Patch Set 6 : Fix comma syntax #

Unified diffs Side-by-side diffs Delta from patch set Stats (+20 lines, -1 line) Patch
M content/browser/gpu/software_rendering_list.json View 1 2 3 4 5 2 chunks +20 lines, -1 line 0 comments Download
Commit: CQ not working?

Messages

Total messages: 19 (0 generated)
ccameron
2 years, 6 months ago (2012-10-08 20:38:48 UTC) #1
Zhenyao Mo
https://codereview.chromium.org/11095006/diff/1/content/browser/gpu/software_rendering_list.json File content/browser/gpu/software_rendering_list.json (right): https://codereview.chromium.org/11095006/diff/1/content/browser/gpu/software_rendering_list.json#newcode77 content/browser/gpu/software_rendering_list.json:77: "version": "3.7", You need to update blacklist version for ...
2 years, 6 months ago (2012-10-08 21:34:03 UTC) #2
Ken Russell (OOO until 4-21)
Sorry, I can not approve this change. It is far too heavy a hammer. Chrome's ...
2 years, 6 months ago (2012-10-08 22:55:53 UTC) #3
ccameron
How about we disable accelerated compositing for just Flapper and video, and leave it on ...
2 years, 6 months ago (2012-10-08 23:09:10 UTC) #4
Ken Russell (OOO until 4-21)
On 2012/10/08 23:09:10, ccameron1 wrote: > How about we disable accelerated compositing for just Flapper ...
2 years, 6 months ago (2012-10-08 23:13:00 UTC) #5
ccameron
On 2012/10/08 23:13:00, kbr wrote: > On 2012/10/08 23:09:10, ccameron1 wrote: > > How about ...
2 years, 6 months ago (2012-10-08 23:19:09 UTC) #6
vangelis
On 2012/10/08 23:19:09, ccameron1 wrote: > On 2012/10/08 23:13:00, kbr wrote: > > On 2012/10/08 ...
2 years, 6 months ago (2012-10-08 23:39:08 UTC) #7
Ken Russell (OOO until 4-21)
On 2012/10/08 23:39:08, vangelis wrote: > On 2012/10/08 23:19:09, ccameron1 wrote: > > On 2012/10/08 ...
2 years, 6 months ago (2012-10-09 00:42:30 UTC) #8
ccameron
I'll disable accelerated video decode in M23. I'd feel most comfortable with disabling compositing for ...
2 years, 6 months ago (2012-10-09 21:16:17 UTC) #9
ccameron
I've updated the patch blacklist accelerated video decode, flash_3d, and flash_stage3d, but I'm going to ...
2 years, 6 months ago (2012-10-09 21:34:05 UTC) #10
ccameron
I've updated the patch to disable triggering compositing for all video and flash. This will ...
2 years, 6 months ago (2012-10-09 22:29:07 UTC) #11
Ken Russell (OOO until 4-21)
LGTM as long as this has been well tested and confirmed to only reduce performance ...
2 years, 6 months ago (2012-10-09 22:43:23 UTC) #12
Ken Russell (OOO until 4-21)
Also, please update the synopsis of this CL to accurately reflect what is being done, ...
2 years, 6 months ago (2012-10-09 22:44:19 UTC) #13
jbauman
https://codereview.chromium.org/11095006/diff/3003/content/browser/gpu/software_rendering_list.json File content/browser/gpu/software_rendering_list.json (right): https://codereview.chromium.org/11095006/diff/3003/content/browser/gpu/software_rendering_list.json#newcode856 content/browser/gpu/software_rendering_list.json:856: "video" This should be "accelerated_video", I believe.
2 years, 6 months ago (2012-10-09 22:47:21 UTC) #14
ccameron
Fixed the label, syntax, and updated the description. I've updated the description, and I've tested ...
2 years, 6 months ago (2012-10-10 00:39:10 UTC) #15
jbauman
lgtm
2 years, 6 months ago (2012-10-10 02:25:50 UTC) #16
ccameron
Thanks!!
2 years, 6 months ago (2012-10-10 17:18:30 UTC) #17
I haz the power (commit-bot)
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/ccameron@chromium.org/11095006/12002
2 years, 6 months ago (2012-10-10 17:19:29 UTC) #18
I haz the power (commit-bot)
2 years, 6 months ago (2012-10-10 19:23:52 UTC) #19
Change committed as 161150
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld 700cc9d